org.apache.solr.client.solrj.cloud.autoscaling

## Class MoveReplicaSuggester

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Suggester
  - - org.apache.solr.client.solrj.cloud.autoscaling.MoveReplicaSuggester

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class MoveReplicaSuggester
    extends Suggester

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`Suggester.Hint, Suggester.SuggestionInfo`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`hints, originalViolations`

### Constructor Summary

Constructors
Constructor and Description
`MoveReplicaSuggester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CollectionParams.CollectionAction` `getAction()`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`forceOperation, getSession, getSuggestion, hint, isAllowed, isNodeSuitableForReplicaAddition, toString, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Constructor Detail

#### MoveReplicaSuggester

    public MoveReplicaSuggester()

### Method Detail

#### getAction

    public CollectionParams.CollectionAction getAction()

Overrides:
  `getAction` in class `Suggester`